# $Revision: 1.7 $, $Date: 2004/08/09 22:57:54 $
Summary:	Qt Cryptographic Architecture (QCA) SSL/TLS plugin
Summary(pl):	Wtyczka SSL/TLS dla Qt Cryptographic Architecture (QCA)
Name:		qt-plugin-qca-tls
Version:	1.0
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
%define		rname	qca-tls
Source0:	http://psi.affinix.com/beta/%{rname}-%{version}.tar.bz2
# Source0-md5:	886b1f60fc31de3b1a0bd93281e27b73
URL:		http://psi.affinix.com/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qt-devel >= 3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt/plugins-mt/crypto

%description
A plugin to provide SSL/TLS capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl
Wtyczka pozwalajca wykorzysta moliwoci SSL/TLS w programach
korzystajcych z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{rname}-%{version}

%build
./configure \
	--qtdir="%{_prefix}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt-plugin-qca-tls.spec,v $
Revision 1.7  2004/08/09 22:57:54  havner
- rel 2

Revision 1.6  2004/06/12 21:47:13  pluto
- license fixed.

Revision 1.5  2004/03/27 01:40:23  adgor
- plugins-mt/crypto should be owned by qt

Revision 1.4  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2004/02/13 18:20:49  freetz
- updated to final 1.0 version
- epoch added, removed install_path fix (obsoleted)

Revision 1.2  2003/12/10 18:29:31  freetz
- s/crypt/crypto
  note: tested with psi-0.9.1-test1, works without problems

Revision 1.1  2003/12/10 17:43:52  freetz
- initial (for new psi)
  note: not tested yet

